<script setup name="Power">
import { ref } from "vue";
const lineIdx = ref(0);

</script>

<template>
  <div class="tab-content">
    <div class="p-left">
      <div class="p-item">
        <card title="交流输入电压">
          <template #tools>
            <el-radio-group class="line-idx" v-model="lineIdx" size="small">
              <el-radio-button label="一路" :value="0" />
              <el-radio-button label="二路" :value="1" />
            </el-radio-group>
          </template>
        </card>
      </div>
      <div class="p-item">
        <card title="交流母线电压"></card>
      </div>
    </div>
    <div class="p-right">
      <div class="p-item">
        <card title="整流器开关状态"></card>
      </div>
      <div class="p-item large">
        <card title="整流器输出电流"></card>
      </div>
    </div>
  </div>
</template>

<style scoped lang="less">
.tab-content {
  display: flex;
  flex-direction: row;
  height: 100%;

  .p-left {
    flex: 1;
    display: flex;
    flex-direction: column;

    .p-item {
      flex: 1;
      margin: 8px;
    }
  }

  .p-right {
    flex: 1;
    display: flex;
    flex-direction: column;

    .p-item {
      flex: 1;
      margin: 8px;

      &.large {
        flex: 2;
      }
    }
  }

  .line-idx {

    :deep(.el-radio-button:first-child .el-radio-button__inner) {
      border-left: 1px solid #4D81BA;
      border-radius: 0;
      box-shadow: none !important;
    }
    // .el-radio-button--small .el-radio-button__inner {
    //     border-radius: 0;
    //     font-size: 12px;
    //     padding: 5px 11px;
    // }
    :deep(.el-radio-button__inner) {
        background: #183A55;
        border: 1px solid #4D81BA;
        border-left: 0;
        border-radius: 0;
        color: #fff;
        font-weight: 500;
        padding: 4px 10px;
    }
    :deep(.el-radio-button.is-active .el-radio-button__original-radio:not(:disabled)+.el-radio-button__inner) {
        background: linear-gradient(69deg, #6EABE4, #6EABE4 25%,  #0A3E77 75%, #0A3E77);
        // border: 0 none;
        box-shadow: none;
        color: #fff;
    }
  }
}
</style>
